# linkding

Pyinfra that deploy linkding un-dockerized on a Debian 11 LXD container.

# Deployment

```
# lxc launch images:debian/11 <name>
# lxec exec <name> bash
# apt update && apt install python3-pip git
# pip install pyinfra
# git clone https://git.benpro.fr/pyinfra/linkding.git
# cd linkding
# ###!!!### Edit group_data/production.py
# pyinfra inventories/production.py deploy.py
```

## Upgrade

Run `remove.py` then `deploy.py`.

```
# pyinfra inventories/production.py remove.py
# pyinfra inventories/production.py deploy.py
```

# Attach a pictures volume

If required, you can mount external volumes. Example:

```
# lxc config device add <name> <name>_disk disk source=/dev/vdf path=/mnt/pictures readonly=true raw.mount.options=noload
```

Then add it to `group_data/production.py`:

```
photoprism_originals_src='/mnt/pictures'
```

# Run photoprism command

A systemd-run wrapper is installed and you can use it via `/usr/local/bin/photoprism`.

```
# /usr/local/bin/photoprism config
```
